Name: xrefresh
Version: 1.0.7
Release: %mkrel 1
Summary: Refresh all or part of an X screen
Group: Development/X11
Source: https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1: xrefresh.xpm
Source2: xrefresh.xpm.large
Source3: xrefresh.xpm.mini
License: MIT

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
Xrefresh is a simple X program that causes all or part of your screen to be
repainted. This is useful when system messages have messed up your screen.

%prep
%setup -q

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make_build

%install
%make_install

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/large
mkdir -p %{buildroot}%{_datadir}/icons/mini

install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/xrefresh.xpm
install -m0644 %{SOURCE2} %{buildroot}%{_datadir}/icons/large/xrefresh.xpm
install -m0644 %{SOURCE3} %{buildroot}%{_datadir}/icons/mini/xrefresh.xpm

%files
%{_bindir}/xrefresh
%{_mandir}/man1/xrefresh.1*
%{_datadir}/icons/xrefresh.xpm
%{_datadir}/icons/*/xrefresh.xpm




%changelog
* Thu Jul 21 2022 tv <tv> 1.0.7-1.mga9
+ Revision: 1869792
- 1.0.7

* Sat Mar 19 2022 umeabot <umeabot> 1.0.6-4.mga9
+ Revision: 1800238
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.6-3.mga8
+ Revision: 1518906
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.6-2.mga7
+ Revision: 1301970
- Mageia 7 Mass Rebuild

* Tue Mar 13 2018 tv <tv> 1.0.6-1.mga7
+ Revision: 1208938
- new release

* Mon Feb 08 2016 umeabot <umeabot> 1.0.5-5.mga6
+ Revision: 947607
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 740527
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-3.mga5
+ Revision: 690761
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.5-2.mga4
+ Revision: 525628
- Mageia 4 Mass Rebuild

* Fri May 31 2013 tv <tv> 1.0.5-1.mga4
+ Revision: 433788
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 387364
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 ennael <ennael> 1.0.4-1.mga1
+ Revision: 30204
- imported package xrefresh

